Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 978)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +z0h_av
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 978 2012-08-09 08:28:32Z fricke
+! +z0h_av
 !
 ! 771 2011-10-27 10:56:21Z heinze
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 978)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 979)
@@ -4,8 +4,4 @@
 ! Current revisions:
 ! -----------------
-! Neumann boudnary conditions are added at the inflow boundary for the SGS-TKE.
-! Outflow boundary conditions for the velocity components can be set to Neumann
-! conditions or to radiation conditions with a horizontal averaged phase
-! velocity. 
 ! 
 !  
@@ -13,4 +9,10 @@
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! Neumann boudnary conditions are added at the inflow boundary for the SGS-TKE.
+! Outflow boundary conditions for the velocity components can be set to Neumann
+! conditions or to radiation conditions with a horizontal averaged phase
+! velocity. 
 !
 ! 875 2012-04-02 15:35:15Z gryschka
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 978)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 979)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! setting of bc_lr/ns_dirneu/neudir
 ! outflow damping layer removed
 ! check for z0h*
 ! check for pt_damping_width
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 964 2012-07-26 09:14:24Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 978)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +z0h
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! +z0h
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 978)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 979)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! outflow damping layer removed
-! kmym_x/_y and kmyp_x/_y change to kmym and kmyp
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! outflow damping layer removed
+! kmym_x/_y and kmyp_x/_y change to kmym and kmyp
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 978)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 979)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! outflow damping layer removed
-! kmxm_x/_y and kmxp_x/_y change to kmxm and kmxp
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! outflow damping layer removed
+! kmxm_x/_y and kmxp_x/_y change to kmxm and kmxp
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 978)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 979)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! outflow damping layer removed
 ! kmxm_x/_z and kmxp_x/_z change to kmxm and kmxp
 ! kmym_y/_z and kmyp_y/_z change to kmym and kmyp
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 978)
+++ /palm/trunk/SOURCE/header.f90	(revision 979)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! -km_damp_max, outflow_damping_width
 ! +pt_damping_factor, pt_damping_width
 ! +z0h
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 964 2012-07-26 09:14:24Z raasch
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 978)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! roughness length for scalar quantities z0h1d added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! roughness length for scalar quantities z0h1d added
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 978)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 979)
@@ -7,4 +7,11 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! outflow damping layer removed
 ! roughness length for scalar quantites z0h added
@@ -13,8 +20,4 @@
 ! initialization of ptdf_x, ptdf_y
 ! initialization of c_u_m, c_u_m_l, c_v_m, c_v_m_l, c_w_m, c_w_m_l
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 849 2012-03-15 10:35:09Z raasch
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 978)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 979)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: nzb_max is set to nzt at non-cyclic lateral boundaries
-! Bugfix: Set wall_flags_0 for inflow boundary
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! Bugfix: nzb_max is set to nzt at non-cyclic lateral boundaries
+! Bugfix: Set wall_flags_0 for inflow boundary
 !
 ! 927 2012-06-06 19:15:04Z raasch
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 978)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +z0h*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! +z0h*
 !
 ! 809 2012-01-30 13:32:58Z maronga
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 978)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 979)
@@ -4,13 +4,13 @@
 ! Current revisions:
 ! -----------------
-! dirichlet/neumann and neumann/dirichlet added
-! nxlu and nysv are also calculated for inflow boundary
-!
-! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
-! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! dirichlet/neumann and neumann/dirichlet added
+! nxlu and nysv are also calculated for inflow boundary
 !
 ! 809 2012-01-30 13:32:58Z maronga
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 978)
+++ /palm/trunk/SOURCE/modules.f90	(revision 979)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! +c_u_m, c_u_m_l, c_v_m, c_v_m_l, c_w_m, c_w_m_l,
 ! +bc_lr_dirneu, bc_lr_neudir, bc_ns_dirneu, bc_ns_neudir
@@ -9,8 +16,4 @@
 ! +z0h, z0h_av, z0h_factor, z0h1d
 ! +ptdf_x, ptdf_y, pt_damping_width, pt_damping_factor 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 964 2012-07-26 09:14:24Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 978)
+++ /palm/trunk/SOURCE/parin.f90	(revision 979)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! -km_damp_max, outflow_damping_width
 ! +pt_damping_factor, pt_damping_width
 ! +z0h_factor
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 964 2012-07-26 09:14:24Z raasch
Index: /palm/trunk/SOURCE/poismg.f90
===================================================================
--- /palm/trunk/SOURCE/poismg.f90	(revision 978)
+++ /palm/trunk/SOURCE/poismg.f90	(revision 979)
@@ -7,5 +7,4 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns_dirneu/neudir added
 !
 !
@@ -13,4 +12,7 @@
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! bc_lr/ns_dirneu/neudir added
 !
 ! 880 2012-04-13 06:28:59Z raasch
Index: /palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 978)
+++ /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! roughness length for scalar quantities z0h added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! roughness length for scalar quantities z0h added
 !
 ! 759 2011-09-15 13:58:31Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 978)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 979)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! km_damp_x and km_damp_y removed in calls of diffusion_u and diffusion_v
 ! add ptdf_x, ptdf_y for damping the potential temperature at the inflow
 ! boundary in case of non-cyclic lateral boundaries
 ! Bugfix: first thread index changes for WS-scheme at the inflow
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 940 2012-07-09 14:31:00Z raasch
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 978)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +z0h, z0h_av
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! +z0h, z0h_av
 !
 ! 776 2011-10-31 08:02:51Z heinze
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 978)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 979)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! ------------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! -km_damp_max, outflow_damping_width
 ! +pt_damping_factor, pt_damping_width
 ! +z0h_factor
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 940 2012-07-09 14:31:00Z raasch
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 978)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +z0h*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! +z0h*
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 978)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! restriction of the outflow damping layer in the diffusion criterion removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! restriction of the outflow damping layer in the diffusion criterion removed
 !
 ! 866 2012-03-28 06:44:41Z raasch
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 978)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 979)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +z0h, z0h_av
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
+! +z0h, z0h_av
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 978)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 979)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 978 2012-08-09 08:28:32Z fricke
 ! -km_damp_max, outflow_damping_width
 ! +pt_damping_factor, pt_damping_width
 ! +z0h_factor
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 940 2012-07-09 14:31:00Z raasch