Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 982)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 983)
@@ -395,7 +395,11 @@
 
    cs_resP = True
-   cs_resP@txString               = f_att@title
-   cs_resP@txFuncCode             = "~"         	
-   cs_resP@txFontHeightF          = 0.015        
+   cs_resP@gsnMaximize                = True
+   cs_resP@gsnPanelXWhiteSpacePercent = 4.0
+   cs_resP@gsnPanelYWhiteSpacePercent = 4.0
+   cs_resP@txFont                     = "helvetica"
+   cs_resP@txString                   = f_att@title
+   cs_resP@txFuncCode                 = "~"         	
+   cs_resP@txFontHeightF              = 0.0105        
   
    if ( mode .eq. "Fill" ) then
Index: palm/trunk/SCRIPTS/NCL/spectra.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 982)
+++ palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 983)
@@ -721,9 +721,12 @@
    ; ***************************************************
 
-   resP                        = True
-   resP@txFont                 = "helvetica"
-   resP@txString               = f_att@title
-   resP@txFuncCode             = "~"
-   resP@txFontHeightF          = 0.015
+   resP                            = True
+   resP@gsnMaximize                = True 
+   resP@gsnPanelXWhiteSpacePercent = 4.0
+   resP@gsnPanelYWhiteSpacePercent = 4.0
+   resP@txFont                     = "helvetica"
+   resP@txString                   = f_att@title
+   resP@txFuncCode                 = "~"
+   resP@txFontHeightF              = 0.0105
 
    no_frames = 0
Index: palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 982)
+++ palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 983)
@@ -342,10 +342,20 @@
    res@lgLabelFontHeightF     = 0.02
 
-   resP                        = True
-   resP@txFont                 = "helvetica"
-   resP@txString               = f_att@title+" time series "
-   resP@txFuncCode             = "~" 
-   resP@txFontHeightF          = 0.015
-
+   resP                            = True
+   resP@gsnMaximize                = True
+   resP@gsnPanelXWhiteSpacePercent = 4.0
+   resP@gsnPanelYWhiteSpacePercent = 4.0
+   resP@txFont                     = "helvetica"
+   resP@txString                   = f_att@title+" time series "
+   resP@txFuncCode                 = "~" 
+   if (format_out .NE. "x11") then
+      if (no_rows .GE. 5) then
+         resP@txFontHeightF        = 0.0105
+      else
+         resP@txFontHeightF        = 0.015
+      end if
+   else
+      resP@txFontHeightF           = 0.015
+   end if
    res@tmXBMinorPerMajor = 4
    res@tmYLMinorPerMajor = 4
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 982)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 983)
@@ -7,5 +7,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Bugfix in cross_profiles.
 !
 ! Former revisions:
@@ -3166,4 +3166,5 @@
           cross_profiles_adj  = ADJUSTL( cross_profiles )
           cross_profiles_numb = 999999
+          cross_profiles_char = ''
 
 !
@@ -3223,4 +3224,23 @@
           ENDIF
 
+          DO i = 1, crmax
+             IF ( cross_profiles_numb(i) == 999999 ) THEN
+                DO j = i + 1, crmax
+                   IF ( cross_profiles_numb(j) /= 999999 ) THEN
+                      cross_profiles_char(i) = cross_profiles_char(j)
+                      cross_profiles_numb(i) = cross_profiles_numb(j)
+                      cross_profiles_numb(j) = 999999
+                      EXIT
+                   ENDIF
+                ENDDO
+             ENDIF
+          ENDDO
+
+          DO i = 1, crmax-1
+             IF ( cross_profiles_numb(i + 1) == 999999 ) THEN
+                cross_profiles_count = i
+                EXIT
+             ENDIF
+          ENDDO
 !
 !--       Check if all profiles defined in data_output_pr are defined in 
@@ -3237,5 +3257,6 @@
                 ENDIF
 
-                IF ( j == cross_profiles_count )  THEN
+                IF (( j == cross_profiles_count ) .AND.                        &
+                    ( cross_profiles_count <= crmax - 1))  THEN
                    cross_profiles_count = cross_profiles_count + 1
                    cross_profiles_maxi  = cross_profiles_maxi  + 1
@@ -3260,5 +3281,7 @@
           IF ( cross_profiles_count >= crmax )  THEN
              message_string = 'It is not allowed to arrange more than '&
-                              // '100 profiles with cross_profiles.'
+                              // '100 profiles with cross_profiles. Apart '&
+                              // 'from that, all profiles are saved to the '&
+                              // 'netCDF file.'
              CALL message( 'define_netcdf_header', 'PA0354', 0, 0, 0, 6, 0 )
           ENDIF
@@ -3270,4 +3293,5 @@
           char_cross_profiles = ';'
           id_last = 1
+          cross_profiles_count = MIN( cross_profiles_count, crmax )
 
           DO  i = 1, cross_profiles_count