Index: palm/trunk/TUTORIAL/SOURCE/sgs_models.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/sgs_models.tex	(revision 945)
+++ palm/trunk/TUTORIAL/SOURCE/sgs_models.tex	(revision 987)
@@ -164,3 +164,215 @@
 
 
+% Folie 7
+\begin{frame}
+   \frametitle{The Smagorinsky Model: Performance}
+   \begin{itemize}
+      \item<2-> Predicts many flows reasonably well
+      \item<3-> Problems:
+      \begin{itemize}
+         \item<3-> Optimum parameter value varies with flow type:
+         \begin{itemize}
+            \item Isotropic turbulence: $C_S \approx 0.2$\\
+            \item Shear (channel) flows: $C_S \approx 0.065$
+         \end{itemize}
+         \item<4-> Length scale uncertain with anisotropic filter:
+         \begin{equation*}
+            (\Delta_x \Delta_y \Delta_z)^{1/3} \hspace{5mm} (\Delta_x + \Delta_y + \Delta_z)/3
+         \end{equation*}
+         \item<5-> Needs modification to account for:
+         \begin{itemize}
+            \item stratification: $C_S = F(Ri,...)$, $Ri$: Richardson number\\
+            \item near-wall region: $C_S = F(z+)$, $z+$: distance from wall
+         \end{itemize}
+      \end{itemize}
+   \end{itemize}
+\end{frame}
+
+
+\section{Deardoff Modification}
+\subsection{Deardoff Modification}
+
+% Folie 8
+\begin{frame}
+   \frametitle{Deardorff (1980) Modification (Used in PALM) (I)}
+   \footnotesize
+   \onslide<1->{
+      $ \nu_T = Cql = C_M \Lambda \sqrt{\bar{e}} $ \quad \textbf{with} \quad $ \bar{e} = \frac{\overline{u_i' u_i'}}{2} $ \quad \textbf{SGS-turbulent kinetic energy}}
+   \normalsize
+   \begin{itemize}
+      \item<2->{The SGS-TKE allows a much better estimation of the velocity scale for the SGS fluctuations and also contains information about the past history of the local fluid.}
+   \end{itemize} 
+   \onslide<3->{
+      $ C_M = const. = 0.1 $
+      \par\bigskip
+      \scriptsize
+      $ \Lambda = \begin{cases} min\left( 0.7 \cdot z, \Delta \right), & \textbf{unstable or neutral stratification} \\
+                          min\left( 0.7 \cdot z, \Delta, 0.76 \sqrt{\bar{e}} \left[ \frac{g}{\Theta_0} \frac{\partial \bar{\Theta}}{\partial z} \right]^{-1/2} \right), & \textbf{stable                             stratification} 
+                  \end{cases} $      
+      \normalsize
+      \par\bigskip
+      $ \Delta = \left( \Delta x \Delta y \Delta z \right)^{1/3} $ }
+\end{frame}
+
+% Folie 9
+\begin{frame}
+   \frametitle{Deardorff (1980) Modification (Used in PALM) (II)}
+   \begin{itemize}
+      \item{SGS-TKE from prognostic equation}
+   \end{itemize}
+   $ \frac{\partial \bar{e}}{\partial t} = -\bar{u_k} \frac{\partial \bar{e}}{\partial x_k} - \tau_{ki} \frac{\partial \bar{u_i}}{\partial x_k} + \frac{g}{\Theta_0} \overline{u_3'             \Theta'} - \frac{\partial}{\partial x_k} \left\{ \overline{u_k' \left( e' + \frac{\pi'}{\rho_0} \right)} \right\} - \epsilon $                                         
+   \par\bigskip                                        
+   $ \frac{\partial}{\partial x_k} \left[ \overline{u_k' \left( e' + \frac{\pi'}{\rho_0} \right)} \right] = - \frac{\partial}{\partial x_k} \nu_e \frac{\partial \bar{e}}{\partial x_k} $
+   \par\bigskip
+   $ \nu_e = 2 \nu_T $
+   \par\bigskip
+   $ \epsilon = C_{\epsilon} \frac{\bar{e}^{3/2}}{\Lambda} \qquad \qquad C_{\epsilon} = 0.19 + 0.74\frac{\Lambda}{\Delta} $
+\end{frame}
+
+% Folie 10
+\begin{frame}
+   \frametitle{Deardorff (1980) Modification (Used in PALM) (III)}
+   \begin{itemize}
+      \item{There are still problems with this parameterization:}
+      \begin{itemize}
+         \item[-]<2->{The model overestimates the velocity shear near the wall.}
+         \item[-]<3->{$\textrm{C}_\mathrm{M}$ is still a constant but actually varies for different types of flows.}
+         \item[-]<4->{Backscatter of energy from the SGS-turbulence to the resolved-scale flow can not be considered.}
+      \end{itemize}
+      \item<5->{Several other SGS models have been developed:}
+      \begin{itemize}
+         \item[-]<5->{Two part eddy viscosity model (Sullivan, et al.)}
+         \item[-]<6->{Scale similarity model (Bardina et al.)}
+         \item[-]<7->{Backscatter model (Mason)}
+      \end{itemize}
+      \item<8->{However, for fine grid resolutions ($\textrm{E}_\mathrm{SGS} << \ \textrm{E}$) LES results become almost independent
+               from the different models (Beare et al., 2006, BLM).}
+   \end{itemize} 
+\end{frame}
+
+
+\section{Summary / Important Points for Beginners}
+\subsection{Summary / Important Points for Beginners}
+
+% Folie 11
+\begin{frame}
+   \frametitle{Summary / Important Points for Beginners (I)}
+   \begin{columns}[c]
+   \column[T]{0.4\textwidth} 
+      \includegraphics<2-7>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_2.png}   
+      \includegraphics<8>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_8.png}
+      \includegraphics<9>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_9.png}
+      \includegraphics<10>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_10.png}
+      \onslide<8-10>{\begin{flushright} \begin{tiny} after Schatzmann and Leitl (2001) \end{tiny} \end{flushright}}              
+   \column[T]{0.2\textwidth}
+      \vspace{0.9cm}
+      \includegraphics<8-10>[width=0.7\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_arrow.png}
+      \par
+      \onslide<8->{\begin{small} fluctuations (\textbf{u},c) \end{small}}
+      \par\bigskip
+      \thicklines
+      \onslide<9->{\mbox{\line(6,0){5} \, \line(1,0){5} \, \line(1,0){5} \quad \begin{small} {critical concentration level} \end{small}}}
+      \vspace{1cm}
+      
+      \includegraphics<8-10>[width=0.7\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_arrow.png}
+      \par
+      \onslide<8->{\begin{small} smooth result \end{small}}   
+   \column[T]{0.4\textwidth}     
+      \includegraphics<1-2>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_1_neu.png}
+      \includegraphics<3>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_3_neu.png}
+      \includegraphics<4>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_4.png}
+      \includegraphics<5-10>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_5.png}
+      \vspace{1.3cm}
+      \includegraphics<6>[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_6_neu.png}
+      \uncover<7->{\includegraphics[width=\textwidth]{sgs_models_figures/Important_Points/Important_Points_1_7_neu.png}}       
+   \end{columns}
+\end{frame}
+
+% Folie 12
+\begin{frame}
+   \frametitle{Summary / Important Points for Beginners (II)}
+    For an LES it always has to be guaranteed that the main energy containing eddies of the respective 
+    turbulent flow can really be simulated by the numerical model:      
+    \begin{itemize}
+       \item<2->{The grid spacing has to be fine enough.}
+       \item<3->{$\textrm{E}_\mathrm{SGS} < (<<) \ \textrm{E} $}
+       \item<4->{The inflow/outflow boundaries must not effect the flow turbulence \\
+                (therefore cyclic boundary conditions are used in most cases).}
+       \item<5->{In case of homogeneous initial and boundary conditions, the onset of turbulence 
+                  has to be triggered by imposing random fluctuations.}
+       \item<6->{Simulations have to be run for a long time to reach a stationary state and stable statistics.}
+    \end{itemize}      
+\end{frame}
+
+
+\section{Example Output}
+\subsection{Example Output}
+
+% Folie 13
+\begin{frame}
+   \frametitle{Example Output (I)}
+   \begin{itemize}
+      \item{LES of a convective boundary layer}
+   \end{itemize}
+   \includegraphics<1>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_1.png}
+   \includegraphics<2>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_2.png}
+   \includegraphics<3>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_3.png}
+   \includegraphics<4>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_4.png}
+   \includegraphics<5>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_5.png}
+   \includegraphics<6>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_6.png}
+   \includegraphics<7>[width=\textwidth]{sgs_models_figures/Example_Output_1/Example_Output_1_7.png}
+\end{frame}
+
+% Folie 14
+\begin{frame}
+   \frametitle{Example Output (II)}
+   \begin{itemize}
+      \item{LES of a convective boundary layer}
+   \end{itemize}
+   \begin{center}
+      \includegraphics[width=0.8\textwidth]{sgs_models_figures/Example_output_2.png}
+      power spectrum of vertical velocity
+   \end{center}
+\end{frame}
+
+% Folie 15
+\begin{frame}
+   \frametitle{Some Symbols}
+   \begin{columns}[c]
+      \column{0.6\textwidth}
+      \begin{tabbing}
+      $u_i \quad (i = 1,2,3)$ \quad \= velocity components \\
+      $u,v,w$ \\ 
+
+      \\
+      
+      $x_i \quad (i = 1,2,3)$ \> spatial coordinates \\
+      $x,y,z$ \\
+
+      \\
+
+      $\Theta$ \> potential temperature \\ \\
+
+      $\Psi$ \> passive scalar \\ \\
+
+      $T$ \> actual Temperatur \\ \\
+      \end{tabbing}
+   \column{0.4\textwidth}
+      \begin{tabbing}
+      $\Phi = gz$  \quad \= geopotential \\ \\
+
+      $p$ \> pressure \\ \\
+
+      $\rho$ \> density \\ \\
+
+      $f_i$ \> Coriolis Parameter \\ \\
+
+      $\epsilon_{ijk}$ \> alternating symbol \\ \\
+
+      $\nu, \nu_\Psi$ \> molecular diffusivity \\ \\
+
+      $Q, Q_\Psi$ \> sources or sinks \\ \\
+      \end{tabbing}
+   \end{columns}
+\end{frame}
 \end{document}