Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 979)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 996)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! little reformatting
 !  
 ! Former revisions:
@@ -259,14 +259,13 @@
 
 !
-!--       Calculate the phase speeds for u,v, and w, first local and then 
-!--       average parallel along the outflow boundary.  
-          DO k = nzb+1, nzt+1
-             DO i = nxl, nxr
+!--       Calculate the phase speeds for u, v, and w, first local and then
+!--       average along the outflow boundary.
+          DO  k = nzb+1, nzt+1
+             DO  i = nxl, nxr
 
                 denom = u_m_s(k,0,i) - u_m_s(k,1,i)
 
                 IF ( denom /= 0.0 )  THEN
-                   c_u(k,i) = -c_max * ( u(k,0,i) - u_m_s(k,0,i) )             &
-                              / ( denom * tsc(2) )
+                   c_u(k,i) = -c_max * ( u(k,0,i) - u_m_s(k,0,i) ) / ( denom * tsc(2) )
                    IF ( c_u(k,i) < 0.0 )  THEN
                       c_u(k,i) = 0.0
@@ -281,6 +280,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_v(k,i) = -c_max * ( v(k,1,i) - v_m_s(k,1,i) )             &
-                              / ( denom * tsc(2) )
+                   c_v(k,i) = -c_max * ( v(k,1,i) - v_m_s(k,1,i) ) / ( denom * tsc(2) )
                    IF ( c_v(k,i) < 0.0 )  THEN
                       c_v(k,i) = 0.0
@@ -295,6 +293,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_w(k,i) = -c_max * ( w(k,0,i) - w_m_s(k,0,i) )             &
-                              / ( denom * tsc(2) )
+                   c_w(k,i) = -c_max * ( w(k,0,i) - w_m_s(k,0,i) ) / ( denom * tsc(2) )
                    IF ( c_w(k,i) < 0.0 )  THEN
                       c_w(k,i) = 0.0
@@ -343,6 +340,6 @@
 !
 !--       Calculate the new velocities
-          DO k = nzb+1, nzt+1 
-             DO i = nxlg, nxrg
+          DO  k = nzb+1, nzt+1
+             DO  i = nxlg, nxrg
                 u_p(k,-1,i) = u(k,-1,i) - dt_3d * tsc(2) * c_u_m(k) *          &
                                        ( u(k,-1,i) - u(k,0,i) ) * ddy
@@ -401,14 +398,13 @@
 
 !
-!--       Calculate the phase speeds for u,v, and w, first local and then 
-!--       average parallel along the outflow boundary.  
-          DO k = nzb+1, nzt+1
-             DO i = nxl, nxr
+!--       Calculate the phase speeds for u, v, and w, first local and then
+!--       average along the outflow boundary.
+          DO  k = nzb+1, nzt+1
+             DO  i = nxl, nxr
 
                 denom = u_m_n(k,ny,i) - u_m_n(k,ny-1,i)
 
                 IF ( denom /= 0.0 )  THEN
-                   c_u(k,i) = -c_max * ( u(k,ny,i) - u_m_n(k,ny,i) )           &
-                              / ( denom * tsc(2) )
+                   c_u(k,i) = -c_max * ( u(k,ny,i) - u_m_n(k,ny,i) ) / ( denom * tsc(2) )
                    IF ( c_u(k,i) < 0.0 )  THEN
                       c_u(k,i) = 0.0
@@ -423,6 +419,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_v(k,i) = -c_max * ( v(k,ny,i) - v_m_n(k,ny,i) )           &
-                              / ( denom * tsc(2) )
+                   c_v(k,i) = -c_max * ( v(k,ny,i) - v_m_n(k,ny,i) ) / ( denom * tsc(2) )
                    IF ( c_v(k,i) < 0.0 )  THEN
                       c_v(k,i) = 0.0
@@ -437,6 +432,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_w(k,i) = -c_max * ( w(k,ny,i) - w_m_n(k,ny,i) )           &
-                              / ( denom * tsc(2) )
+                   c_w(k,i) = -c_max * ( w(k,ny,i) - w_m_n(k,ny,i) ) / ( denom * tsc(2) )
                    IF ( c_w(k,i) < 0.0 )  THEN
                       c_w(k,i) = 0.0
@@ -485,6 +479,6 @@
 !
 !--       Calculate the new velocities
-          DO k = nzb+1, nzt+1 
-             DO i = nxlg, nxrg
+          DO  k = nzb+1, nzt+1
+             DO  i = nxlg, nxrg
                 u_p(k,ny+1,i) = u(k,ny+1,i) - dt_3d * tsc(2) * c_u_m(k) *      &
                                        ( u(k,ny+1,i) - u(k,ny,i) ) * ddy
@@ -543,14 +537,13 @@
 
 !
-!--       Calculate the phase speeds for u,v, and w, first local and then 
-!--       average parallel along the outflow boundary.  
-          DO k = nzb+1, nzt+1
-             DO j = nys, nyn
+!--       Calculate the phase speeds for u, v, and w, first local and then
+!--       average along the outflow boundary.
+          DO  k = nzb+1, nzt+1
+             DO  j = nys, nyn
 
                 denom = u_m_l(k,j,1) - u_m_l(k,j,2)
 
                 IF ( denom /= 0.0 )  THEN
-                   c_u(k,j) = -c_max * ( u(k,j,1) - u_m_l(k,j,1) )             &
-                              / ( denom * tsc(2) )
+                   c_u(k,j) = -c_max * ( u(k,j,1) - u_m_l(k,j,1) ) / ( denom * tsc(2) )
                    IF ( c_u(k,j) < 0.0 )  THEN
                       c_u(k,j) = 0.0
@@ -565,6 +558,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_v(k,j) = -c_max * ( v(k,j,0) - v_m_l(k,j,0) )             &
-                              / ( denom * tsc(2) )
+                   c_v(k,j) = -c_max * ( v(k,j,0) - v_m_l(k,j,0) ) / ( denom * tsc(2) )
                    IF ( c_v(k,j) < 0.0 )  THEN
                       c_v(k,j) = 0.0
@@ -579,6 +571,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_w(k,j) = -c_max * ( w(k,j,0) - w_m_l(k,j,0) )             &
-                              / ( denom * tsc(2) )
+                   c_w(k,j) = -c_max * ( w(k,j,0) - w_m_l(k,j,0) ) / ( denom * tsc(2) )
                    IF ( c_w(k,j) < 0.0 )  THEN
                       c_w(k,j) = 0.0
@@ -627,6 +618,6 @@
 !
 !--       Calculate the new velocities
-          DO k = nzb+1, nzt+1 
-             DO i = nxlg, nxrg
+          DO  k = nzb+1, nzt+1
+             DO  i = nxlg, nxrg
                 u_p(k,j,0) = u(k,j,0) - dt_3d * tsc(2) * c_u_m(k) *            &
                                        ( u(k,j,0) - u(k,j,1) ) * ddx
@@ -685,14 +676,13 @@
 
 !
-!--       Calculate the phase speeds for u,v, and w, first local and then 
-!--       average parallel along the outflow boundary.  
-          DO k = nzb+1, nzt+1
-             DO j = nys, nyn
+!--       Calculate the phase speeds for u, v, and w, first local and then
+!--       average along the outflow boundary.
+          DO  k = nzb+1, nzt+1
+             DO  j = nys, nyn
 
                 denom = u_m_r(k,j,nx) - u_m_r(k,j,nx-1)
 
                 IF ( denom /= 0.0 )  THEN
-                   c_u(k,j) = -c_max * ( u(k,j,nx) - u_m_r(k,j,nx) )           &
-                              / ( denom * tsc(2) )
+                   c_u(k,j) = -c_max * ( u(k,j,nx) - u_m_r(k,j,nx) ) / ( denom * tsc(2) )
                    IF ( c_u(k,j) < 0.0 )  THEN
                       c_u(k,j) = 0.0
@@ -707,6 +697,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_v(k,j) = -c_max * ( v(k,j,nx) - v_m_r(k,j,nx) )           &
-                              / ( denom * tsc(2) )
+                   c_v(k,j) = -c_max * ( v(k,j,nx) - v_m_r(k,j,nx) ) / ( denom * tsc(2) )
                    IF ( c_v(k,j) < 0.0 )  THEN
                       c_v(k,j) = 0.0
@@ -721,6 +710,5 @@
 
                 IF ( denom /= 0.0 )  THEN
-                   c_w(k,j) = -c_max * ( w(k,j,nx) - w_m_r(k,j,nx) )           &
-                              / ( denom * tsc(2) )
+                   c_w(k,j) = -c_max * ( w(k,j,nx) - w_m_r(k,j,nx) ) / ( denom * tsc(2) )
                    IF ( c_w(k,j) < 0.0 )  THEN
                       c_w(k,j) = 0.0
@@ -769,6 +757,6 @@
 !
 !--       Calculate the new velocities
-          DO k = nzb+1, nzt+1 
-             DO i = nxlg, nxrg
+          DO  k = nzb+1, nzt+1
+             DO  i = nxlg, nxrg
                 u_p(k,j,nx+1) = u(k,j,nx+1) - dt_3d * tsc(2) * c_u_m(k) *      &
                                        ( u(k,j,nx+1) - u(k,j,nx) ) * ddx