Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 996)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! little reformatting
+!
 !  
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 996)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! little reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 996)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! little reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 996)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 997)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! little reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 996)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! little reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 996)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! little reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 996)
+++ /palm/trunk/SOURCE/modules.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! -use_prior_plot1d_parameters
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! -use_prior_plot1d_parameters
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 996)
+++ /palm/trunk/SOURCE/parin.f90	(revision 997)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! -use_prior_plot1d_parameters
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! -use_prior_plot1d_parameters
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/poismg.f90
===================================================================
--- /palm/trunk/SOURCE/poismg.f90	(revision 996)
+++ /palm/trunk/SOURCE/poismg.f90	(revision 997)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! -----------------
-! little reformatting
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 996 2012-09-07 10:41:47Z raasch
+! little reformatting
 !
 ! 978 2012-08-09 08:28:32Z fricke