Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1001)
+++ /palm/trunk/SOURCE/Makefile	(revision 1002)
@@ -4,9 +4,12 @@
 # Current revisions:
 # ------------------
-# -asselin_filter, advec_s|u|v|w_ups, spline_x|y|z
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1001 2012-09-13 14:08:46Z raasch
+# -asselin_filter, advec_s|u|v|w_ups, spline_x|y|z
 #
 # 872 2012-03-29 15:57:54Z franke
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1001)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog- and upstream-spline-scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 1001)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! most arrays comunicated by module instead of parameter list
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! most arrays comunicated by module instead of parameter list
 !
 ! 825 2012-02-19 03:03:44Z raasch
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 1001)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! some arrays comunicated by module instead of parameter list
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! some arrays comunicated by module instead of parameter list
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 1001)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! arrays comunicated by module instead of parameter list
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! arrays comunicated by module instead of parameter list
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 1001)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! arrays comunicated by module instead of parameter list
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! arrays comunicated by module instead of parameter list
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 1001)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! arrays comunicated by module instead of parameter list
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! arrays comunicated by module instead of parameter list
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1001)
+++ /palm/trunk/SOURCE/header.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog- and upstream-spline-scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 1001)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1001)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1002)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: /palm/trunk/SOURCE/init_advec.f90
===================================================================
--- /palm/trunk/SOURCE/init_advec.f90	(revision 1001)
+++ /palm/trunk/SOURCE/init_advec.f90	(revision 1002)
@@ -4,9 +4,13 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning upstream-spline-method removed
+!
 !
 ! Former revisions:
 ! -----------------
-! $Id: init_advec.f90 484 2010-02-05 07:36:54Z raasch 
+! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning upstream-spline-method removed
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1001)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning upstream-spline-method removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning upstream-spline-method removed
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1001)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1002)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
 ! -asselin_filter_factor, cut_spline_overshoot, dt_changed, last_dt_change,
 ! last_dt_change_1d, long_filter_factor, overshoot_limit_*, ups_limit_*
 ! several pointer/target arrays converted to normal ones
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1001)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! -cut_spline_overshoot, long_filter_factor, overshoot_limit_*, ups_limit_*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! -cut_spline_overshoot, long_filter_factor, overshoot_limit_*, ups_limit_*
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1001)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog- and upstream-spline-scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1001)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1001)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1002)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! ------------------
-! -cut_spline_overshoot, dt_fixed, last_dt_change, long_filter_factor,
-! overshoot_limit_*, ups_limit_*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! -cut_spline_overshoot, dt_fixed, last_dt_change, long_filter_factor,
+! overshoot_limit_*, ups_limit_*
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/run_control.f90
===================================================================
--- /palm/trunk/SOURCE/run_control.f90	(revision 1001)
+++ /palm/trunk/SOURCE/run_control.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1001)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 102 2007-07-27 09:09:17Z raasch
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1001)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog- and upstream-spline-scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! 849 2012-03-15 10:35:09Z raasch
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1001)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1001)
+++ /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog scheme removed
 !
 ! 673 2011-01-18 16:19:48Z suehring
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1001)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1002)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! all actions concerning leapfrog scheme removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! all actions concerning leapfrog- and ups-scheme removed
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1001)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1002)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! -cut_spline_overshoot, last_dt_change, long_filter_factor, overshoot_limit_*,
-! ups_limit_*
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1001 2012-09-13 14:08:46Z raasch
+! -cut_spline_overshoot, last_dt_change, long_filter_factor, overshoot_limit_*,
+! ups_limit_*
 !
 ! 978 2012-08-09 08:28:32Z fricke