Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1007)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1008)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: missing calculation of ql_vp added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
+! Bugfix: missing calculation of ql_vp added
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1007)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1008)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: missing calculation of ql_vp added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
+! Bugfix: missing calculation of ql_vp added
 !
 ! 790 2011-11-29 03:11:20Z raasch
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1007)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1008)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: calculation of pr must depend on the particle weighting factor,
-! missing calculation of ql_vp added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
+! Bugfix: calculation of pr must depend on the particle weighting factor,
+! missing calculation of ql_vp added
 !
 ! 771 2011-10-27 10:56:21Z heinze
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1007)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1008)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
 ! Calculation of buoyancy flux for humidity in case of WS-scheme is now using
 ! turbulent fluxes of WS-scheme
 ! Bugfix: Calculation of subgridscale buoyancy flux for humidity and cloud
 ! droplets at nzb and nzt added
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 801 2012-01-10 17:30:36Z suehring
Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1007)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1008)
@@ -4,12 +4,15 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
 ! converted all units to SI units and replaced some parameters by corresponding
 ! PALM parameters
 ! Bugfix: factor in calculation of enhancement factor for collision efficencies
 ! changed from 10. to 1.0
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 849 2012-03-15 10:35:09Z raasch
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 1007)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 1008)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: calculation of buoyancy production has to consider the liquid water
-! mixing ratio in case of cloud droplets
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
+! Bugfix: calculation of buoyancy production has to consider the liquid water
+! mixing ratio in case of cloud droplets
 !
 ! 940 2012-07-09 14:31:00Z raasch
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1007)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1008)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix in calculation of ql_vp
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1007 2012-09-19 14:30:36Z franke
+! Bugfix in calculation of ql_vp
 !
 ! 978 2012-08-09 08:28:32Z fricke