Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 1011)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 1013)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! FLOAT type conversion replaced by REAL
 !
 ! Former revisions:
@@ -406,12 +406,12 @@
              IF ( i >= 0 .AND. i <= nnxh )  THEN
                 ll(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / &
-                                          FLOAT( nx+1 ) ) ) / ( dx * dx ) + &
+                                          REAL( nx+1 ) ) ) / ( dx * dx ) + &
                         2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                          FLOAT( ny+1 ) ) ) / ( dy * dy )
+                                          REAL( ny+1 ) ) ) / ( dy * dy )
              ELSE
                 ll(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                          FLOAT( nx+1 ) ) ) / ( dx * dx ) + &
+                                          REAL( nx+1 ) ) ) / ( dx * dx ) + &
                         2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                          FLOAT( ny+1 ) ) ) / ( dy * dy )
+                                          REAL( ny+1 ) ) ) / ( dy * dy )
              ENDIF
              DO  k = 0,nz-1
@@ -423,7 +423,7 @@
 #else
           DO  i = 0, nnxh
-             ll(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / FLOAT( nx+1 ) ) ) / &
+             ll(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / REAL( nx+1 ) ) ) / &
                            ( dx * dx ) + &
-                     2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / FLOAT( ny+1 ) ) ) / &
+                     2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / REAL( ny+1 ) ) ) / &
                            ( dy * dy )
              DO  k = 0, nz-1
@@ -1489,12 +1489,12 @@
              IF ( i >= 0 .AND. i <= nnxh ) THEN
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / &
-                                         FLOAT( nx+1 ) ) ) * ddx2 + &
+                                         REAL( nx+1 ) ) ) * ddx2 + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                         FLOAT( ny+1 ) ) ) * ddy2
+                                         REAL( ny+1 ) ) ) * ddy2
              ELSE
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                         FLOAT( nx+1 ) ) ) * ddx2 + &
+                                         REAL( nx+1 ) ) ) * ddx2 + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                         FLOAT( ny+1 ) ) ) * ddy2
+                                         REAL( ny+1 ) ) ) * ddy2
              ENDIF
           ENDDO
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 1011)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 1013)
@@ -2,8 +2,7 @@
 
 !------------------------------------------------------------------------------
-! 
 ! Current revisions: 
 ! ----------------- 
-!
+! FLOAT type conversion replaced by REAL
 !
 ! Former revisions: 
@@ -914,17 +913,17 @@
              IF ( i >= 0 .AND. i < nnxh ) THEN
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * i ) / &
-                                        FLOAT( nx+1 ) ) ) / ( dx * dx ) + &
+                                        REAL( nx+1 ) ) ) / ( dx * dx ) + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                        FLOAT( ny+1 ) ) ) / ( dy * dy )
+                                        REAL( ny+1 ) ) ) / ( dy * dy )
              ELSEIF ( i == nnxh ) THEN
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                         FLOAT( nx+1 ) ) ) / ( dx * dx ) + &
+                                         REAL( nx+1 ) ) ) / ( dx * dx ) + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                         FLOAT(ny+1) ) ) / ( dy * dy )
+                                         REAL(ny+1) ) ) / ( dy * dy )
              ELSE
                 l(i) = 2.0 * ( 1.0 - COS( ( 2.0 * pi * ( nx+1-i ) ) / &
-                                         FLOAT( nx+1 ) ) ) / ( dx * dx ) + &
+                                         REAL( nx+1 ) ) ) / ( dx * dx ) + &
                        2.0 * ( 1.0 - COS( ( 2.0 * pi * j ) / &
-                                         FLOAT( ny+1 ) ) ) / ( dy * dy )
+                                         REAL( ny+1 ) ) ) / ( dy * dy )
              ENDIF
           ENDDO